import os, sys
sys.path.insert(0, os.path.join(os.path.dirname(__file__), '..'))

# Pygame
import pygame
from pygame.locals import *

from cocos.layer import *

# Game includes
from config import *

import resources
resources.GetResources()

from gamelayer import ImageLayer

from globals import *

class IntroLayer(Layer):
	def __init__(self, filename, time):
		super(IntroLayer, self).__init__()
		self.filename = filename
		self.time = time

		self.add(ImageLayer(filename, (0,0), 1.0))

	def getDelay(self):
		return self.time

	def on_enter(self):
		pass
			
	def on_exit(self):
		pass

